WordPress.org

Support

Support » How-To and Troubleshooting » PHP 4 or PHP 5 ?

PHP 4 or PHP 5 ?

  • Hi,
    I’m running a WP (1.5.1.2) powered blog on Dreamhost and I can choose between PHP 4 or PHP 5 (as CGI). What PHP version should I use with 1.5.1.2? Is WP faster on PHP 5? Could I have some problems with installed plugins (Get Custom Field Values, etc.)

    Many thanks

Viewing 5 replies - 1 through 5 (of 5 total)
  • So far, WordPress 1.5x and every plugin I’ve installed on it has worked fine with PHP5 🙂

    Of course WP 1.5.x is PHP5 friendly, but my dilemma is: PHP4 or PHP5?
    Many thanks

    Personally, I choose PHP5 for a couple of reasons.

    First, it’s the newest version of PHP, and while there is some breakage with older PHP scripts and some more recent large projects (I’m looking at you, Mambo), for the most part it is backwards compatible with PHP4.

    Second, from a programming perspective, it is much more powerful than PHP4.

    Third, at least on my server, PHP5 does seem to respond slightly faster with database-based applications than PHP4. I don’t know if this is due to changes in PHP itself or changes to the database plugins, but it’s measurable on my server.

    Of course, your mileage may vary.

    Do you need any features introduced in PHP 5? If not, then wouldn’t it make more sense to use PHP 4, which has had far more testing done to eliminate bugs and security issues?

    Remember, it’s all fun and games until someone hacks your site and destroys your database.

    I tried switching to 5, but went back to 4 because my dashboard stuff disappeared. *shrugs* No biggie, but that’s the only “problem” I’ve encountered. Other than that, it’s all good.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘PHP 4 or PHP 5 ?’ is closed to new replies.